<?php

	session_start();
	
	require_once("db/db.php");	
	require_once("common/common.php");
	
	//设置统一语言格式
	//header("Content-type: text/html; charset=gb2312"); 
	
	$strorderno=trim($_REQUEST['tbno']);	//住房流水号订单号
	$strroomnos=trim($_REQUEST['roms']);	//住房流水号订单号

	$intreturn = 0; 
	
	if(strlen($strorderno)>0)
	{
		$strselroomno='';	
		$intpos=0;
		
		while(strlen($strroomnos)>0)
		{
			//开始创建
			$intpos = strpos($strroomnos,',');
			
			if($intpos=='')
			{
				//没有分割符号
				$strselroomno = $strroomnos;
				$strroomnos = '';
			}
			else
			{
				//得到房号
				$strselroomno = substr($strroomnos,0,$intpos);
				$strroomnos = substr($strroomnos,$intpos+1);
			}
	
			/*
				网站和手机端预订自助选房，成功返回0，否则返回错误代码：
				0成功，1入住，2取消，3完成，4订单中已经存在该房间，5该房间被占用,不能选房，9无此订单
			*/
		
			$sql = sprintf("EXECUTE TRS_WebBookOrderAddRoom '%s','%s'",$strorderno,$strselroomno);
			$result = querySql($sql);
			//分析执行结果
			$row = fetch_array($result);

			$intretval=$row['RetVal'];
			
			if($intretval == '0')
				$intreturn = 1;
					
			freeResult($result);
		}
		
		closeDb();
	}	
	
	echo $intreturn;	//成功执行
?>